Skip to main content
GET
List transfers

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

vaultId
string

The ID of a vault. If provided, only transfers originating from this vault will be returned.

walletId
string

The ID of a wallet. If provided, only transfers originating from this wallet will be returned.

transferIds
string[]

A list of transferIds to return. Invalid transferIds will be ignored.

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 100
statuses
enum<string>[]

One or more transfer statuses to filter results

Available options:
IN_PROGRESS,
COMPLETED,
FAILED,
QUEUED
virtualAccountId
string

The virtual account on either side of the transfer for which results will be returned. The response shows each side on its own leg, in source.virtualAccountId and destination.virtualAccountId.

customerId
string

The customer who owns the virtual account on either side of the transfer, as shown in source.customerId and destination.customerId, for which results will be returned

Response

A list of transfers.

data
TransferDetails · object[]
required
page
Page · object
required

Pagination info